Bug 8163 - asn.1 library does not correctly read negative integers.
asn.1 library does not correctly read negative integers.
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Domain Control
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-24 22:21 UTC by Jeremy Allison
Modified: 2011-05-26 18:21 UTC (History)
0 users

See Also:


Attachments
git-am fix for 3.6.0 (1.13 KB, patch)
2011-05-24 22:22 UTC, Jeremy Allison
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2011-05-24 22:21:46 UTC
I'm not sure any Windows code actually sends them, but it's not good to have such a glaring bug in one of our core libraries.

Jeremy.
Comment 1 Jeremy Allison 2011-05-24 22:22:14 UTC
Created attachment 6484 [details]
git-am fix for 3.6.0
Comment 2 Jeremy Allison 2011-05-24 22:25:59 UTC
By a happy coincidence (or the fact this code hasn't changed in a long time :-) this fix also applies cleanly to v3-5-test !

Jeremy.
Comment 3 Jeremy Allison 2011-05-25 17:00:36 UTC
Now it's been positively reviewed, re-assigning to Karolin for inclusion in 3.6.0 and 3.5.next.
Jeremy.
Comment 4 Karolin Seeger 2011-05-26 18:21:59 UTC
Pushed to v3-6-test and v3-5-test.
Closing out bug report.

Thanks!